package com.hzs.ground.margin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.ground.margin.ThMargin;
import com.hzs.ground.margin.vo.ThMarginVO;

import java.util.List;

/**
 * 保证金缴纳 服务类
 */
public interface IThMarginService extends IService<ThMargin> {

    /**
     * 保证金缴纳列表
     **/
    List<ThMarginVO> queryThMarginList(ThMarginVO thMarginVO);

    /**
     * 添加保证金缴纳
     **/
    boolean saveThMargin(ThMarginVO thMarginVO);

    /**
     * 修改保证金缴纳
     **/
    boolean updateThMargin(ThMarginVO thMarginVO);

    /**
     * 删除保证金缴纳
     **/
    boolean delThMargin(Long pkId);

}
